using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using EQNetwork.Objects;
using EQNetwork.Utility;

namespace EQNetwork.Interfaces
{
    public partial interface IMiscService
    {
        EQTask Activity_Create(string activity, string secondary, Action<EQException> onComplete);
        EQTask ContentMenu_List(DateTime? modifiedSince, Action<List<ContentMenu>, DateTime?, EQException> onComplete);
        EQTask Hashtag_Search(string search, PagingParameters pagingParameters, Action<List<Hashtag>, bool, EQException> onComplete);
        EQTask Hashtag_Trending(PagingParameters pagingParameters, Action<List<Hashtag>, bool, EQException> onComplete);
        EQTask Category_ListAll(Action<List<Category>, EQException> onComplete);
    }
}
